#ifndef ISELLER_H
#define ISELLER_H

#include <QObject>

#include "ishopitem.h"
#include "shop_global.h"

class SHOPSHARED_EXPORT ISeller : public QObject
{
    Q_OBJECT
public:
    explicit ISeller(QObject *parent = 0);
    virtual ~ISeller();

    virtual void prepareItem() = 0;

signals:
    void itemPrepared(QSharedPointer<IShopItem> item, int count);
};

#endif // ISELLER_H
